Subject: bug#78187: tsx-ts-mode: wrong indentation of object parameters

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 01 May 2025 20:10:01 +0700

Looking at c++-ts-mode more, I found it seems to do that with a rule
function (c-ts-mode--parenthesized-expression-indent-rule).  Makes me
wonder: can't it be made into a general rule, similar to prev-sibling,
like "prev-same-sibling-or-offset"? The situation it seems pretty
common for all programming languages.